gr::radar::time_plot Class Reference

`#include <time_plot.h>`

Inheritance diagram for gr::radar::time_plot:

## Public Slots

void | refresh ()

## Public Member Functions

| time_plot (int interval, std::string label_y, std::vector< float > axis_y, float range_time, std::vector< float > *y, bool *y_read, std::string label, QWidget *parent=0)
| ~time_plot ()

## Protected Member Functions

void | resizeEvent (QResizeEvent *event)

## Constructor & Destructor Documentation

## time_plot()

gr::radar::time_plot::time_plot | ( | int | interval,
|  | std::string | label_y,
|  | std::vector< float > | axis_y,
|  | float | range_time,
|  | std::vector< float > * | y,
|  | bool * | y_read,
|  | std::string | label,
|  | QWidget * | parent = 0 )

## ~time_plot()

gr::radar::time_plot::~time_plot | ( |  | ) |

## Member Function Documentation

## refresh

void gr::radar::time_plot::refresh | ( |  | ) |

slot

## resizeEvent()

void gr::radar::time_plot::resizeEvent | ( | QResizeEvent * | event | ) |

protected

The documentation for this class was generated from the following file:

- time_plot.h